/*
 * Copyright (C) 2008-2011 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

package ogakisoft.android.ime;

import android.content.Context;
import android.inputmethodservice.Keyboard;
import android.inputmethodservice.Keyboard.Key;
import android.inputmethodservice.KeyboardView;
import android.util.AttributeSet;

/**
 * KeyboardView
 * 
 * @author Google Inc.
 * @version 1.0
 */
public class LatinKeyboardView extends KeyboardView {

	static final int KEYCODE_IME = -100;
	static final int KEYCODE_KB_NUM = -101;
//	static final int KEYCODE_KB_ABC = -102;
	static final int KEYCODE_KB_CLEAR = -111;
	static final int KEYCODE_KB_PREDICT = -112;

	public LatinKeyboardView(Context context, AttributeSet attrs) {
		super(context, attrs);
	}

	public LatinKeyboardView(Context context, AttributeSet attrs, int defStyle) {
		super(context, attrs, defStyle);
	}

	@Override
	protected boolean onLongPress(Key key) {
		if (key.codes[0] == Keyboard.KEYCODE_CANCEL) {
			getOnKeyboardActionListener().onKey(KEYCODE_IME, null);
			return true;
		} else {
			return super.onLongPress(key);
		}
	}
	
	@Override
	public String toString() {
		return null;
	}
}
